| OpenCV 4.3.0 Open Source Computer Vision

Static Public Member Functions | Protected Member Functions | List of all members
cv::img_hash::PHash Class Reference
The module brings implementations of different image hashing algorithms.

pHash More...

`#include <opencv2/img_hash/phash.hpp>`

Inheritance diagram for cv::img_hash::PHash:

## Static Public Member Functions
static Ptr< PHash > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Protected Member Functions
| PHash ()
Protected Member Functions inherited from cv::img_hash::ImgHashBase
| ImgHashBase ()
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Additional Inherited Members
Public Member Functions inherited from cv::img_hash::ImgHashBase
| ~ImgHashBase ()
double | compare (cv::InputArray hashOne, cv::InputArray hashTwo) const
| Compare the hash value between inOne and inTwo. More...
void | compute (cv::InputArray inputArr, cv::OutputArray outputArr)
| Computes hash of the input image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
Protected Attributes inherited from cv::img_hash::ImgHashBase
Ptr< ImgHashImpl > | pImpl

## Detailed Description

pHash

Slower than average_hash, but tolerant of minor modifications

This algorithm can combat more variation than averageHash, for more details please refer to [124]

## Constructor & Destructor Documentation

## ◆ PHash()

cv::img_hash::PHash::PHash | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ create()

static Ptr<PHash> cv::img_hash::PHash::create | ( |  | ) |
| static

Python:
| retval | = | cv.img_hash.PHash_create( |  | )

The documentation for this class was generated from the following file:

- opencv2/img_hash/phash.hpp